green_color = #4EB849
divider_coloor = #D9D9D9

*
    box-sizing border-box

body
    padding 1px
    margin 0
    background-image linear-gradient(-45deg, #9156DE, #6D83D9)
    min-height 100vh
    font-family 'Roboto', sans-serif
    font-size 19px
    color #6E6E6E

#app  
    width 100%
    overflow hidden
    perspective 200px
    min-height 100vh
    
.button
    padding 11px 15px
    box-shadow 0 1px 2px 0 rgba(0, 0, 0, .1)
    border-radius 6px
    display inline-block
    color #fff
    background: #ebebeb
    font-size 13px
    font-weight 500
    text-transform uppercase
    transition background 200ms
    &:hover
        cursor pointer

.button--red
    background #FF7D7D
    &:hover
        background #e26363

.button--green
    background green_color
    &:hover
        background #3ca737

.bold
    font-weight 600

.medium
    font-weight 500

.container
    padding 33px 35px

.container--remove_top_bottom
    padding-top 0
    padding-bottom 0 

.search
    margin 150px auto
    margin-bottom 20px
    border-radius 8px
    width 100%
    max-width 538px
    background #fff
    overflow hidden
    box-shadow 0 34px 69px -25px #00000070
    transition all cubic-bezier(0.2, 1.4, 0.39, 1) 560ms

.search--init_animation_state
    transform translateZ(300px) translateY(1070px) rotate3d(1, 0, 0, 20deg)
    // opacity 0

.search__header
    background-image linear-gradient(45deg,#fff 0%, #fff 50%, #F6F6F6 50%, #F6F6F6 100%)
    display flex
    flex-wrap nowrap
    box-shadow inset 0 -1px 0 divider_coloor
    align-items center

.search__title
    color #5671DE
    width 100%
    font-size 35px
    font-weight 200
    line-height .9

.search__input
    margin 0
    display block
    width 100%
    line-height 3.5
    border none
    box-shadow 0 1px 0 divider_coloor
    font-size 19px
    &:focus
        outline none

.search__focus
    width 0
    height 4px
    background green_color
    transition width 250ms, height 1s, background 1s
    margin-bottom 10px

.search__focus--onfocus
   width 100%

.search__item
    display flex
    flex-wrap nowrap
    align-items center
    padding 12px 0px

.search__address
    width 100%

.search__choice
    padding-left 10px

.search__results
    height 380px
    display flex
    align-items center
    justify-content center

.search__footer
    padding 20px 0
    text-align center
    
.search__special
    display inline-block
    font-weight 500
    font-size 15px
    color #9F9F9F

.search__logo
    vertical-align -19px

.search__loader
    background linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%, transparent 75%,transparent)
    background-size  1rem 1rem
    height 30px

// animations
// fade
.fade-enter-active, .fade-leave-active
    transition opacity .5s

.fade-enter, .fade-leave-to
    opacity  0

//list
.list-enter-active, .list-leave-active
    transition opacity .5s

.list-enter, .list-leave-to
    opacity 0
